Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.lf5.viewer.categoryexplorer
Class CategoryNodeEditor

    java.lang.Object
      org.apache.log4j.lf5.viewer.categoryexplorer.CategoryAbstractCellEditor
          org.apache.log4j.lf5.viewer.categoryexplorer.CategoryNodeEditor

All Implemented Interfaces:
  javax.swing.CellEditor, javax.swing.table.TableCellEditor, javax.swing.tree.TreeCellEditor

    public class CategoryNodeEditor

extends CategoryAbstractCellEditor

CategoryNodeEditor

Author:
  Michael J. Sikorsky, Robert Shaw

Field Summary
`protected CategoryExplorerModel` | `_categoryModel`
`protected javax.swing.JCheckBox` | `_checkBox`
`protected CategoryNode` | `_lastEditedNode`
`protected CategoryNodeEditorRenderer` | `_renderer`
`protected javax.swing.JTree` | `_tree`

Fields inherited from class org.apache.log4j.lf5.viewer.categoryexplorer.CategoryAbstractCellEditor
`_changeEvent, _clickCountToStart, _listenerList, _value`

Constructor Summary
`CategoryNodeEditor(CategoryExplorerModel model)`

Method Summary
`protected void` | `collapse(CategoryNode node)`
`protected void` | `collapseDescendants(CategoryNode node)`
`protected javax.swing.JMenuItem` | `createCollapseMenuItem(CategoryNode node)`
`protected javax.swing.JMenuItem` | `createExpandMenuItem(CategoryNode node)`
`protected javax.swing.JMenuItem` | `createPropertiesMenuItem(CategoryNode node)`
`protected javax.swing.JMenuItem` | `createRemoveMenuItem()` This featured was moved from the LogBrokerMonitor class to the CategoryNodeExplorer so that the Category tree could be pruned from the Category Explorer popup menu.
`protected javax.swing.JMenuItem` | `createSelectDescendantsMenuItem(CategoryNode node)`
`protected javax.swing.JMenuItem` | `createUnselectDescendantsMenuItem(CategoryNode node)`
`protected void` | `expand(CategoryNode node)`
`protected void` | `expandDescendants(CategoryNode node)`
`java.lang.Object` | `getCellEditorValue()`
`protected java.lang.Object` | `getDisplayedProperties(CategoryNode node)`
`java.awt.Component` | `getTreeCellEditorComponent(javax.swing.JTree tree, java.lang.Object value, boolean selected, boolean expanded, boolean leaf, int row)`
`protected javax.swing.tree.TreePath` | `getTreePath(CategoryNode node)`
`protected int` | `removeUnusedNodes()` Removes any inactive nodes from the Category tree.
`protected void` | `showPopup(CategoryNode node, int x, int y)`
`protected void` | `showPropertiesDialog(CategoryNode node)`

Methods inherited from class org.apache.log4j.lf5.viewer.categoryexplorer.CategoryAbstractCellEditor
`addCellEditorListener, cancelCellEditing, fireEditingCanceled, fireEditingStopped, getClickCountToStart, getTableCellEditorComponent, isCellEditable, removeCellEditorListener, setCellEditorValue, setClickCountToStart, shouldSelectCell, stopCellEditing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _renderer

    protected CategoryNodeEditorRenderer _renderer

### _lastEditedNode

    protected CategoryNode _lastEditedNode

### _checkBox

    protected javax.swing.JCheckBox _checkBox

### _categoryModel

    protected CategoryExplorerModel _categoryModel

### _tree

    protected javax.swing.JTree _tree

Constructor Detail

### CategoryNodeEditor

    public CategoryNodeEditor(CategoryExplorerModel model)

Method Detail

### getTreeCellEditorComponent

    public java.awt.Component getTreeCellEditorComponent(javax.swing.JTree tree,
                                                         java.lang.Object value,
                                                         boolean selected,
                                                         boolean expanded,
                                                         boolean leaf,
                                                         int row)

  Specified by:
    `getTreeCellEditorComponent` in interface `javax.swing.tree.TreeCellEditor`
  Overrides:
    `getTreeCellEditorComponent` in class `CategoryAbstractCellEditor`

### getCellEditorValue

    public java.lang.Object getCellEditorValue()

  Specified by:
    `getCellEditorValue` in interface `javax.swing.CellEditor`
  Overrides:
    `getCellEditorValue` in class `CategoryAbstractCellEditor`

### createPropertiesMenuItem

    protected javax.swing.JMenuItem createPropertiesMenuItem(CategoryNode node)

### showPropertiesDialog

    protected void showPropertiesDialog(CategoryNode node)

### getDisplayedProperties

    protected java.lang.Object getDisplayedProperties(CategoryNode node)

### showPopup

    protected void showPopup(CategoryNode node,
                             int x,
                             int y)

### createSelectDescendantsMenuItem

    protected javax.swing.JMenuItem createSelectDescendantsMenuItem(CategoryNode node)

### createUnselectDescendantsMenuItem

    protected javax.swing.JMenuItem createUnselectDescendantsMenuItem(CategoryNode node)

### createExpandMenuItem

    protected javax.swing.JMenuItem createExpandMenuItem(CategoryNode node)

### createCollapseMenuItem

    protected javax.swing.JMenuItem createCollapseMenuItem(CategoryNode node)

### createRemoveMenuItem

    protected javax.swing.JMenuItem createRemoveMenuItem()

  This featured was moved from the LogBrokerMonitor class to the CategoryNodeExplorer so that the Category tree could be pruned from the Category Explorer popup menu. This menu option only appears when a user right clicks on the Category parent node. See removeUnusedNodes()

### expandDescendants

    protected void expandDescendants(CategoryNode node)

### collapseDescendants

    protected void collapseDescendants(CategoryNode node)

### removeUnusedNodes

    protected int removeUnusedNodes()

  Removes any inactive nodes from the Category tree.

### expand

    protected void expand(CategoryNode node)

### getTreePath

    protected javax.swing.tree.TreePath getTreePath(CategoryNode node)

### collapse

    protected void collapse(CategoryNode node)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.